/* GNU FaXile - fax image viewer
 *
 * Copyright (C) 2000 Wolfgang Sourdeau
 *
 * Author: Wolfgang Sourdeau <wolfgang@ultim.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef TIFFIMAGE_H
#define TIFFIMAGE_H

#include <tiffio.h>

typedef struct _FaxFile FaxFile;
typedef struct _FaxImage FaxImage;

struct _FaxImage {
	int nbr;
	int width;
	int height;
	unsigned char *image;
	FaxImage *next;
	FaxImage *prev;
};

struct _FaxFile {
	unsigned int nbr_images, xres, yres;
	TIFF* tiff_file;
	FaxImage *first;
};

FaxFile *init_file(char* filename);
void close_fax_file (FaxFile *fax_file);
FaxImage *get_fax_image (FaxFile *fax_file, unsigned int number);
void load_tiff_image (FaxFile *fax_file, FaxImage *fax_image);
void unload_tiff_image (FaxImage *fax_image);
void destroy_fax_image (FaxImage *fax_image);
FaxImage *zoomed_fax_image (FaxImage *orig, int new_width,
			    int new_height, int reversed);

#endif
